package com.adealink.frame.room.data

enum class RoomState {
    ROOM_LEAVE,
    ROOM_JOINING,
    ROOM_IN; //join room成功

    open fun isAtLeast(state: RoomState): Boolean {
        return compareTo(state) >= 0
    }
}

class FlowStateInfo(var roomId: String = "") {
    var reason: String = ""

    var leaveUI = false

    override fun toString(): String {
        return "FlowStateInfo(roomId=$roomId, reason:$reason, leaveUI:$leaveUI)"
    }
}

class RoomFlowData(
    val state: RoomState,
    val flow: FlowStateInfo
)